Subject: bug#37552: 27.0.50; Unexpected cursor position after ispell-complete-word

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Sep 2019 15:30:36 +0300

> From: Mauro Aranda <[email-masked]>
> Date: Sun, 29 Sep 2019 08:44:48 -0300
> 
> 1) C-x b test
> 2) M-x text-mode
> 3) Type something like this:
> One sentence.
> Other sentence.
> 
> 4) Go to the first sentence, after the period.  Type anything and then
> type C-M-i to complete it.
> I type "comple" and complete it to "complete".
> 
> 5) I expect the cursor to be at the end of the word just completed.  But
> I see it moving to the next line.  With different words completed, the
> exact position changes, but to me the cursor always ends up in an
> unexpected position.

Looks like it expects you to invoke the command at the beginning of a
word.